
using BPA.KitChen.GroupMeal.Application.BaseDto;
using BPA.KitChen.GroupMeal.Application.Service.Device.Dtos;
using BPA.KitChen.GroupMeal.Application.Service.Device.Services;
using Furion.DynamicApiController;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Device
{
    [ApiDescriptionSettings("DevicePushRecode", Tag = "设备下发")]
    public class DevicePushRecodeServices: IDynamicApiController
    {
        IDevicePushRecodeService _devicePushRecodeService;
        public DevicePushRecodeServices(IDevicePushRecodeService devicePushRecodeService) 
        {
            _devicePushRecodeService= devicePushRecodeService;
        }
        /// <summary>
        /// 分页
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/page")]
        public async Task<PageUtil> Page(DevicePushRecodeDtoPageInput input)
        {
            return await _devicePushRecodeService.Page(input);
        }
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/add")]
        public async Task<bool> Add(DevicePushRecodeDtoInput input)
        {
            return await _devicePushRecodeService.Add(input);
        }
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpGet("/api/devicepushrecode/update")]
        public async  Task<bool> Update(string id)
        {
            return await _devicePushRecodeService.Update(id);
        }
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/delete")]
        public async Task<bool> Delete(List<string> input)
        {
            return await _devicePushRecodeService.Delete(input);
        }
    }
}
